# frozen_string_literal: true

module Meroku
  # Logic related to making rest api calls to backend rails server
  module ResponseHandler
    def process_error(result)
      raise Meroku::Error, JSON.parse(result).dig('errors') \
        if JSON.parse(result).dig('errors')
    end

    def process_success(result)
      id = JSON.parse(result).dig('data', 'id')
      if id
        yield(result) if block_given?
        puts "OK [#{id}]"
      end
      raise Meroku::Success
    end
  end
end
