# frozen_string_literal: true

module Meroku
  # https://www.ruby-forum.com/topic/94852
  # https://forums.sketchup.com/t/how-to-pass-variable-to-a-tool-object-without-using-globals/14191/13
  module Shared
    class << self; attr_accessor :secrets; end

    @secrets = Secrets.new

    class << self
      def ec2_client
        ::Aws::EC2::Client.new(
          region: 'us-east-1',
          credentials: ::Aws::Credentials.new(
            Meroku::Shared.secrets.aws_access_key,
            Meroku::Shared.secrets.aws_access_key_secret
          )
        )
      end
    end
  end
end
