# frozen_string_literal: true

module Meroku
  # Mix in to objects that can be sshed in to
  module Sshable
    attr_reader :connection

    def execute(command)
      @connection.exec(command) { |_ch, _stream, data| puts data }
      @connection.loop
    end

    def sshopts
      { verify_host_key: false, key_data: Meroku::Shared.secrets.private_key, \
        timeout: 60 }
    end

    def close_ssh
      @connection.close
    end

    def execute_script(script)
      script.each_line do |line|
        puts line
        execute(line)
      end
    end
  end
end
